# Uses of Interface
org.opensaml.saml.saml1.core.AssertionIDReference

Packages that use AssertionIDReference
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AssertionIDReference in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AssertionIDReference
Modifier and Type
Method
Description
`List<AssertionIDReference>`
Advice.`getAssertionIDReferences()`
Get the AssertionIdReferences.
`List<AssertionIDReference>`
Evidence.`getAssertionIDReferences()`
Get the list of assertion ID references.
`List<AssertionIDReference>`
Request.`getAssertionIDReferences()`
Get the list of AssertionIDReferences.

## Uses of AssertionIDReference in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AssertionIDReference
Modifier and Type
Class
Description
`class`
`AssertionIDReferenceImpl`
Concrete Implementation of `AssertionIDReference` Object.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type AssertionIDReference
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionIDReference>`
RequestImpl.`assertionIDReferences`
The List of AssertionIDReferences.
Methods in org.opensaml.saml.saml1.core.impl that return AssertionIDReference
Modifier and Type
Method
Description
`AssertionIDReference`
AssertionIDReferenceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionIDReference`
AssertionIDReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AssertionIDReference
Modifier and Type
Method
Description
`List<AssertionIDReference>`
AdviceImpl.`getAssertionIDReferences()`
Get the AssertionIdReferences.
`List<AssertionIDReference>`
EvidenceImpl.`getAssertionIDReferences()`
Get the list of assertion ID references.
`List<AssertionIDReference>`
RequestImpl.`getAssertionIDReferences()`
Get the list of AssertionIDReferences.